package kr.gmtc.gw.eyegw.db1;

import java.util.Map;

import org.springframework.stereotype.Service;

@Service
public class EaiProcService {
    private EaiProcMapper ueaiProcMapper;
    
    public EaiProcService(EaiProcMapper ueaiProcMapper){
        this.ueaiProcMapper = ueaiProcMapper;
    }

	public void callProcArtsArr(Map<String, Object> parameterMap) {
    	
    	ueaiProcMapper.callProcArtsArr(parameterMap);
    	
    }
    
    public void callProcArtsDep(Map<String, Object> parameterMap) {
    	
    	ueaiProcMapper.callProcArtsDep(parameterMap);
    	
    }

    public void callProcAcdmArr(Map<String, Object> parameterMap) {
	
		ueaiProcMapper.callProcAcdmArr(parameterMap);
	
	}
	
	public void callProcAcdmDep(Map<String, Object> parameterMap) {
		
		ueaiProcMapper.callProcAcdmDep(parameterMap);
		
	}
	
	public void callProcGam(Map<String, Object> parameterMap) {
		
		ueaiProcMapper.callProcGam(parameterMap);
		
	}

	public void callProcAmos(Map<String, Object> parameterMap) {
		
		ueaiProcMapper.callProcAmos(parameterMap);
		
	}
	
	public void callProcNotam(Map<String, Object> parameterMap) {
		
		ueaiProcMapper.callProcNotam(parameterMap);
		
	}

	public void callProcAll(Map<String, Object> parameterMap) {
		
		ueaiProcMapper.callProcAll(parameterMap);
		
	}

	public void callProcOldDataDelete(Map<String, Object> parameterMap) {
		
		ueaiProcMapper.callProcOldDataDelete(parameterMap);
		
	}
    
}
